import type { NobjcObject } from "objc-js";
import type { _NSResponder } from "../AppKit/NSResponder.js";
import type { _NSViewController } from "../AppKit/NSViewController.js";
import type { _NSWindow } from "../AppKit/NSWindow.js";
export declare class _GKDialogController extends _NSResponder {
    static alloc(): _GKDialogController;
    static new(): _GKDialogController;
    init(): _GKDialogController;
    /** @deprecated Replaced by ``GKAccessPoint`` */
    static sharedDialogController(): _GKDialogController;
    presentViewController$(viewController: _NSViewController): boolean;
    dismiss$(sender: NobjcObject): void;
    parentWindow(): _NSWindow | null;
    setParentWindow$(value: _NSWindow | null): void;
}
